Ticket - Odoo Import Bridge(CSV or Excel File) (#2,914)
Status: OPEN
Date: 07/09/2021
ID: 2,914
S/O number: SO2021/1502729
Reviewer: Tirth Mehta
Module Name: Odoo Import Bridge(CSV or Excel File)
Version: 14.0
Tags: Odoo Community,


Description
Error:
Odoo Server Error

Traceback (most recent call last):
File "/pnl/pnl-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/pnl/pnl-server/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/pnl/pnl-server/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/pnl/pnl-server/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/pnl/pnl-server/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/pnl/pnl-server/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/pnl/pnl-server/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/pnl/pnl-server/addons/web/controllers/main.py", line 1393, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/pnl/pnl-server/addons/web/controllers/main.py", line 1381, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/pnl/pnl-server/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/pnl/pnl-server/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/pnl/custom/addons/bi_generic_import/models/import_invoice_lines.py", line 118, in import_inv
res = self.create_inv_line(values)
File "/pnl/custom/addons/bi_generic_import/models/import_invoice_lines.py", line 419, in create_inv_line
'product_id':product_id.id,
File "/pnl/pnl-server/odoo/fields.py", line 3815, in __get__
raise ValueError("Expected singleton: %s" % record)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/pnl/pnl-server/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/pnl/pnl-server/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: Expected singleton: product.product(34411, 34439, 34467, 34495, 34523, 34551, 34572, 34600, 34628, 34656, 34684, 34712, 34740, 34768, 34789, 34817, 34845, 34873, 34901, 34929, 34957, 34985, 35013, 35041, 35069, 35097, 35125, 35153, 35174, 35202, 35230, 35258, 35286, 35314, 35342, 35370, 35398, 35426, 35454, 35482, 35510, 35538, 35566, 35594, 35622, 35650, 35678, 35706, 35734, 35762, 35790, 35818, 35846, 35874, 35902, 35930, 35958, 35986, 36014, 36042, 36070, 36098, 36126, 36154, 36182, 36210, 36238, 36266, 36294, 36322, 36350, 36378, 36406, 36434, 36462, 36490, 36518, 36546, 36574, 36602, 36630, 36658, 36686, 36714, 36742, 36770, 36798, 36826, 36854, 36882, 36910, 36938, 36966, 36994, 37022, 37050, 37078, 37106, 37134, 37162, 37190, 37218)

Message and communication history